%define name krename
%define version 2.1pre1

Summary: A powerfull batch renamer for KDE
Name: %{name}
Version: %{version}
Release: 2
Copyright: GPL
Vendor: Dominik Seichter <domseichter@web.de>
Url: http://krename.sourceforge.net
Packager: Brian Wright <bdw@aturna.com>
Group: X11/KDE/Utilities
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: libtool >= 1.4.1
BuildRequires: qt-devel >= 3.0.3
BuildRequires: kdelibs-devel >= 3.0.0

%description
Krename is a very powerful batch file renamer for KDE3 which can 
rename a list of files based on a set of expressions. It can copy/move
the files to another directory or simply rename the input files. 
Krename supports many conversion operations, including conversion of 
a filename to lowercase or to uppercase, conversion of the first letter 
of every word to uppercase, adding numbers to filenames, finding and 
replacing parts of the filename, and many more. It can also change 
access and modification dates, permissions, and file ownership.

%prep
%setup
./configure --prefix=/usr --disable-debug --enable-final

%build

# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
 numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.krename
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >>  $RPM_BUILD_DIR/file.list.krename
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >>  $RPM_BUILD_DIR/file.list.krename

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/krename
rm -rf ../file.list.krename


%files -f ../file.list.krename

%doc AUTHORS ChangeLog COPYING INSTALL README TODO

%changelog
* Wed Apr 10 2002 Brian Wright <bdw@aturna.com>
- Built for RedHat Linux 7.x
- Added basic doc files
- Added build requirements for libtool, qt 3, and kdelibs 3
